import { getRecentDate, getRecentDateRange } from '/@/utils/util';

export const enum TimeRangeEnum {
	CurrentDay,
	ThreeDay,
	SevenDay,
	ThreeMonth,
	HalfYear,
	OneYear,
}
/**
 * 按日快捷输入
 */
export const dayTimeRangeEnumMapTitle = {
	[TimeRangeEnum.CurrentDay]: '当日',
	[TimeRangeEnum.ThreeDay]: '近三日',
	[TimeRangeEnum.SevenDay]: '近七日',
};

/**
 * 按月快捷输入
 */
export const monthTimeRangeEnumMapTitle = {
	[TimeRangeEnum.ThreeMonth]: '近三月',
	[TimeRangeEnum.HalfYear]: '近半年',
	[TimeRangeEnum.OneYear]: '近一年',
};
export const timeRangeEnumMapValue = {
	[TimeRangeEnum.CurrentDay]: () => getRecentDateRange(1),
	[TimeRangeEnum.ThreeDay]: () => getRecentDateRange(3),
	[TimeRangeEnum.SevenDay]: () => getRecentDateRange(7),
	[TimeRangeEnum.ThreeMonth]:  () => getRecentDateRange(90),
	[TimeRangeEnum.HalfYear]:  () => getRecentDateRange(182),
	[TimeRangeEnum.OneYear]:  () => getRecentDateRange(365),
};

export const enum TimeStepValue {
	Day = 'day',
	Month = 'month',
}

export const enum DisplayModeType {
	List = 'list',
	Chart = 'chart',
}

export const displayModeTypeMap = {
	[DisplayModeType.Chart]: '图表',
	[DisplayModeType.List]: '列表',
};
